/**
 * My Title
 * No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)
 *
 * OpenAPI spec version: 1.0.0
 * 
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */
package io.swagger.client.models

import io.swagger.client.models.AndroidInfo
import io.swagger.client.models.BundleInfo
import io.swagger.client.models.IOSInfo
import io.swagger.client.models.Identification
import io.swagger.client.models.RegisteredEvent
import io.swagger.client.models.ScreenshotsBatch

/**
 * 
 * @param isLive 
 * @param os 
 * @param androidInfo 
 * @param iosInfo 
 * @param identification 
 * @param bundle 
 * @param screenshotsBatch 
 * @param events 
 * @param projectID 
 */
data class EventsBatch (

    val isLive: kotlin.Boolean,
    val os: Int? = null,
    val androidInfo: AndroidInfo? = null,
    val iosInfo: IOSInfo? = null,
    val identification: Identification? = null,
    val bundle: BundleInfo,
    val screenshotsBatch: ScreenshotsBatch? = null,
    val events: kotlin.Array<RegisteredEvent>,
    val projectID: kotlin.String
) {
}